package com.emr.dao.his;

import com.emr.entity.his.HISBA7;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface HISBA7Mapper {
    int deleteByPrimaryKey(Long fid);

    int insert(HISBA7 record);

    int insertSelective(HISBA7 record);

    HISBA7 selectByPrimaryKey(Long fid);

    int updateByPrimaryKeySelective(HISBA7 record);

    int updateByPrimaryKey(HISBA7 record);

    List<HISBA7> selectAllByParam(@Param("fprn") String fprn, @Param("ftimes") Integer ftimes);

    //批量删除
    int deleteAllByParam(@Param("fprn") String fprn, @Param("ftimes") Integer ftimes);
    //批量添加
    int SimpleInsert(@Param("list")List<HISBA7> list);
}